NXWidgets: NxWM::CCalibrationFactory Class Reference

NXWidgets 1.19

Public Member Functions | Private Attributes | List of all members
NxWM::CCalibrationFactory Class Reference

`#include <ccalibration.hxx>`

Inheritance diagram for NxWM::CCalibrationFactory:

## Public Member Functions
| CCalibrationFactory (CTaskbar *taskbar, CTouchscreen *touchscreen)
| ~CCalibrationFactory (void)
IApplication * | create (void)
NXWidgets::IBitmap * | getIcon (void)
Public Member Functions inherited from NxWM::IApplicationFactory
virtual | ~IApplicationFactory (void)

## Private Attributes
CTaskbar * | m_taskbar
CTouchscreen * | m_touchscreen

## Detailed Description

Definition at line 411 of file ccalibration.hxx.

## Constructor & Destructor Documentation

## ◆ CCalibrationFactory()

CCalibrationFactory::CCalibrationFactory | ( | CTaskbar * | taskbar,
|  | CTouchscreen * | touchscreen
| ) |  |

CCalibrationFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate calibration
  touchscreen. | An instance of the class that wraps the touchscreen device.

Definition at line 1279 of file ccalibration.cxx.

## ◆ ~CCalibrationFactory()

NxWM::CCalibrationFactory::~CCalibrationFactory | ( | void |  | ) |
| inline

CCalibrationFactory Destructor

Definition at line 432 of file ccalibration.hxx.

## Member Function Documentation

## ◆ create()

IApplication * CCalibrationFactory::create | ( | void |  | ) |
| virtual

Create a new instance of an CCalibration (as IApplication).

Implements NxWM::IApplicationFactory.

Definition at line 1289 of file ccalibration.cxx.

## ◆ getIcon()

NXWidgets::IBitmap * CCalibrationFactory::getIcon | ( | void |  | ) |
| virtual

Get the icon associated with the application

Returns
  An instance if IBitmap that may be used to rend the application's icon. This is an new IBitmap instance that must be deleted by the caller when it is no long needed.

Implements NxWM::IApplicationFactory.

Definition at line 1332 of file ccalibration.cxx.

## Member Data Documentation

## ◆ m_taskbar

CTaskbar* NxWM::CCalibrationFactory::m_taskbar
| private

The taskbar

Definition at line 414 of file ccalibration.hxx.

## ◆ m_touchscreen

CTouchscreen* NxWM::CCalibrationFactory::m_touchscreen
| private

The touchscreen device

Definition at line 415 of file ccalibration.hxx.

The documentation for this class was generated from the following files:

- ccalibration.hxx
- ccalibration.cxx